curl --request GET \
--url https://api.qovery.com/agenticWorkflow/{agenticWorkflowId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/agenticWorkflow/{agenticWorkflowId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/agenticWorkflow/{agenticWorkflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"service_type": "APPLICATION",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"webhook_ip_allowlist": [
"<string>"
],
"docker_fragment": "<string>",
"enabled": true,
"mcp": "<string>",
"mcp_server_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"outputs": [
{
"name": "<string>",
"url": "<string>",
"headers": [],
"instructions": ""
}
],
"model": {
"type": "CLAUDE",
"settings": "<string>"
},
"project_repositories": [
{
"url": "<string>",
"branch": "<string>",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"agent_prompt": "<string>",
"governance": {
"host_allowlist": []
},
"resources": {
"cpu_milli": 1000,
"ram_mib": 1024,
"gpu": 0,
"storage_gib": 0
},
"webhook": {
"url": "<string>"
},
"schedule": {
"cron_expression": "0 8 * * 1-5",
"timezone": "Europe/Paris",
"next_run_at": "2023-11-07T05:31:56Z"
},
"execution_mode": "IN_PLACE",
"updated_at": "2023-11-07T05:31:56Z",
"icon_uri": "<string>"
}Get an agentic workflow
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Response
Get agentic workflow
type of the service (application, database, job, ...)
APPLICATION, DATABASE, CONTAINER, JOB, HELM, TERRAFORM, ARGOCD_APP, AGENTIC_WORKFLOW Show child attributes
Show child attributes
name is case insensitive
URL-friendly identifier derived from the name
CIDR ranges the incoming webhook request's source IP is checked against
Raw JSON blob describing the MCP servers configured for this workflow
Organization MCP servers used by this workflow
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Cron schedule firing runs of this workflow. Null when the workflow is webhook-only.
Show child attributes
Show child attributes
Where a run executes. IN_PLACE deploys the workflow in the environment it belongs to, and is the default. CLONE_ENVIRONMENT gives each run a throwaway copy of the whole environment, which is the only mode that isolates concurrent runs from each other.
IN_PLACE, CLONE_ENVIRONMENT Icon URI representing the agentic workflow.
Was this page helpful?